Ask Your Question
0

ElmerGUI fails to build

asked 2013-02-19 20:19:08 -0600

ioncube gravatar image
/bin/ld: cannot find -lqwt-qt4
/bin/ld: cannot find -lQVTK
/bin/ld: cannot find -lvtkCommon
/bin/ld: cannot find -lvtkDICOMParser
/bin/ld: cannot find -lvtkFiltering
/bin/ld: cannot find -lvtkGenericFiltering
/bin/ld: cannot find -lvtkGraphics
/bin/ld: cannot find -lvtkHybrid
/bin/ld: cannot find -lvtkIO
/bin/ld: cannot find -lvtkImaging
/bin/ld: cannot find -lvtkInfovis
/bin/ld: cannot find -lvtkNetCDF
/bin/ld: cannot find -lvtkRendering
/bin/ld: cannot find -lvtkViews
/bin/ld: cannot find -lvtkVolumeRendering
/bin/ld: cannot find -lvtkWidgets
collect2: error: ld returned 1 exit status
make[1]: *** [ElmerGUI] Error 1
make[1]: Leaving directory `/home/usama/elmerfem/ElmerGUI/Application'
make: *** [sub-Application-make_default] Error 2

I have installed all the development packages but still ElmerGUI fails to build? On the contrary Elmer modules builded successfully (I used their convenience script) after just installing gcc-gfortran package, but what about GUI

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2013-02-20 00:24:26 -0600

FranciscoD_ gravatar image

updated 2013-02-20 00:25:13 -0600

The error simply says that it could not find the libraries to link against. Does your system have the file libqwt-qt4.so* or libQVTK.so* for instance?

Either you're missing the shared object files (.so files), or the elmer script that you're using is looking in the wrong place, in which case you need to modify it elmer build system.

edit flag offensive delete link more

Question Tools

Stats

Asked: 2013-02-19 20:19:08 -0600

Seen: 450 times

Last updated: Feb 20 '13